// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: list_inways.sql

package queries

import (
	"context"
)

const listInways = `-- name: ListInways :many

SELECT
    name,
    address
FROM
    controller.inways
WHERE
    group_id = $1
GROUP BY
    name,
    address
`

type ListInwaysRow struct {
	Name    string
	Address string
}

// Copyright © VNG Realisatie 2024
// Licensed under the EUPL
func (q *Queries) ListInways(ctx context.Context, groupID string) ([]*ListInwaysRow, error) {
	rows, err := q.db.Query(ctx, listInways, groupID)
	if err != nil {
		return nil, err
	}
	defer rows.Close()
	items := []*ListInwaysRow{}
	for rows.Next() {
		var i ListInwaysRow
		if err := rows.Scan(&i.Name, &i.Address); err != nil {
			return nil, err
		}
		items = append(items, &i)
	}
	if err := rows.Err(); err != nil {
		return nil, err
	}
	return items, nil
}
